> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Instagram Get Pages Endpoint

> This endpoint fetches pages from Instagram Graph API



## OpenAPI

````yaml post /instagram/analyzer/pages
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /instagram/analyzer/pages:
    post:
      tags:
        - instagram
      summary: Instagram Get Pages Endpoint
      description: This endpoint fetches pages from Instagram Graph API
      operationId: instagram_get_pages
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstagramGetPagesSerializer'
        required: true
      responses:
        '200':
          description: Pages fetched successfully
          content:
            application/json:
              schema:
                title: Pages Response Object
                type: object
                properties:
                  pages:
                    type: array
                    items:
                      title: Instagram Page Details
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        instagram_account_id:
                          type: string
                        category:
                          type: string
                        link:
                          type: string
                        username:
                          type: string
                      description: Instagram Page Details OpenAPI Schema
                  error:
                    type: string
                description: Pages Response Object OpenAPI Schema
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  access_token:
                    type: array
                    items:
                      type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  pages:
                    type: array
                    items:
                      title: Instagram Page Details
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        instagram_account_id:
                          type: string
                        category:
                          type: string
                        link:
                          type: string
                        username:
                          type: string
                      description: Instagram Page Details OpenAPI Schema
                  error:
                    type: string
components:
  schemas:
    InstagramGetPagesSerializer:
      required:
        - access_token
      type: object
      properties:
        access_token:
          title: Access token
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````